<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>

    <link
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css"
      type="text/css"
      rel="stylesheet"
    />
    <link
      href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
      rel="stylesheet"
      id="bootstrap-css"
    />
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link
      rel="stylesheet"
      href="{{ url_for('static', filename='css/message.css') }}"
    />
  </head>
  <style>
    .grid-container {
      display: grid;
    
    }
  </style>
  <body style="background-color: #ececec">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>
      <div class="container" style="margin-left: 20%;">
        <div class="header">ADMIN</div>
        <hr class="br_header" />
        <div
          class="block-message-container"
          style="width: 100%; overflow-x: auto; overflow-y: auto"
        >
          <!--  -->
          <div class="block-chat" id="chat">
            {% for message in all_message %}
              {% if message.sender == 'admin' %}
              <div class="admin-msg" style="padding-top: 2%">
                <div class="imgAdmin">
                  <img
                    src="{{url_for('static', filename = 'images/user_profile/default_profile.png')}}"
                    alt=""
                    srcset=""
                    style="width: 70px; height: 70px;border-radius: 50%;"
                  />
                </div>
                <div class="admin-msg-container">
                  <div class="msg-from-admin arrow-left" style="margin-left:2%;">
                    {{ message.message }}
                  </div>
                </div>
              </div>
              {% else %}
              <div class="admin-msg" style="padding-top: 2%;" >
                <div class="admin-msg-container" >

                  <div class="msg-from-customer  arrow-right">
                    {{ message.message }}
                  </div>


                </div>
                <div class="imgCustomer">
                  <img
                    src="{{url_for('static', filename = 'images/user_profile/'+current_user.get_profile().profile_image)}}"
                    alt=""
                    srcset=""
                    style="width: 70px; height: 70px;border-radius: 50%;"
                  />
                </div>
              </div>
              {% endif %}

            {% endfor %}
          </div>
          <!--  -->
        </div>
        <div>
            <div class="input-container">
              <div style="width: 1000px">
                <textarea
                  rows="4"
                  id="input_msg"
                  name="comment"
                  style="
                    border-radius: 12px;
                    border: none;
                    width: 100%;
                    max-width: 100%;
                    padding: 2%;
                  "
                ></textarea>
              </div>
              <div style="width: 100px" onclick="sendMsg()">
                <div class="sendMsg" style="user-select: none;cursor: pointer;">Send</div>
              </div>
            </div>


      
        </div>
      </div>
    </div>
  </body>
</html>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.7.3/socket.io.min.js"></script>
  <script type="text/javascript">
  var socket = io.connect('http://' + document.domain + ':' + location.port);
  socket.emit('join_room', {customer:'{{current_user.get_id()}}'})
  var objDiv = document.getElementsByClassName("block-message-container")[0];
  objDiv.scrollTop = objDiv.scrollHeight;
  socket.on( 'admin_response', function( data ) {
          // $( 'h3' ).remove()
          $( 'div.block-chat' ).append(`<div class="admin-msg" style="padding-top: 2%">
              <div class="imgAdmin">
                <img
                  src="{{url_for('static', filename = 'images/user_profile/default_profile.png')}}"
                  alt=""
                  srcset=""
                  style="width: 70px; height: 70px"
                />
              </div>
              <div class="admin-msg-container ">
                <div class="msg-from-admin arrow-left" style="margin-left:2%;">
                  `+data.msg+`
                </div>
              </div>
            </div>`)
        var objDiv = document.getElementsByClassName("block-message-container")[0];
        objDiv.scrollTop = objDiv.scrollHeight;
  })
  function sendMsg(){
    var msg = document.getElementById('input_msg').value;
    if (msg != ""){
      $( 'div.block-chat' ).append(`<div class="admin-msg" style="padding-top: 2%">
              <div class="admin-msg-container">
                <div class="msg-from-customer arrow-right">
                  `+msg+`
                </div>
              </div>
              <div class="imgCustomer">
                <img
                  src="{{url_for('static', filename = 'images/user_profile/'+current_user.get_profile().profile_image)}}"
                  alt=""
                  srcset=""
                  style="width: 70px; height: 70px"
                />
              </div>
            </div>`)
      document.getElementById('input_msg').value = "";
      socket.emit('recive_from_user', {"msg":msg,'customer':parseInt("{{current_user.get_id() }}",10),"name":"{{current_user.get_profile().fullname }}","profile_image":"{{current_user.get_profile().profile_image }}"});
      var objDiv = document.getElementsByClassName("block-message-container")[0];
      objDiv.scrollTop = objDiv.scrollHeight;
    }
  }
</script>